Index: /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 1897)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 1898)
@@ -1248,61 +1241,53 @@
              CALL histwrite_phy(o_dtr_sat(iq-2),d_tr_sat(:,:,iq-2))
              CALL histwrite_phy(o_dtr_uscav(iq-2),d_tr_uscav(:,:,iq-2))
-         zx_tmp_fi2d=0.
-IF(vars_defined) THEN
-         DO k=1,klev
-            zx_tmp_fi2d(:)=zx_tmp_fi2d(:)+zmasse(:,k)*qx(:,k,iq)
-         ENDDO
-ENDIF
-            CALL histwrite_phy(o_trac_cum(iq-2), zx_tmp_fi2d)
-         ENDDO
-        ENDIF
-
-
-        IF(.NOT.vars_defined) THEN
-!$OMP MASTER
+             zx_tmp_fi2d=0.
+             IF(vars_defined) THEN
+                DO k=1,klev
+                   zx_tmp_fi2d(:)=zx_tmp_fi2d(:)+zmasse(:,k)*qx(:,k,iq)
+                ENDDO
+             ENDIF
+             CALL histwrite_phy(o_trac_cum(iq-2), zx_tmp_fi2d)
+          ENDDO
+       ENDIF
+
+       IF(.NOT.vars_defined) THEN
+          !$OMP MASTER
 #ifndef CPP_NO_IOIPSL 
-            DO iff=1,nfiles
-                IF (clef_files(iff)) THEN
-                  CALL histend(nid_files(iff))
-                  ndex2d = 0
-                  ndex3d = 0
-
-                ENDIF ! clef_files
-            ENDDO !  iff
+          DO iff=1,nfiles
+             IF (clef_files(iff)) THEN
+                CALL histend(nid_files(iff))
+                ndex2d = 0
+                ndex3d = 0
+
+             ENDIF ! clef_files
+          ENDDO !  iff
 #endif
 #ifdef CPP_XIOS
-            !On finalise l'initialisation:
-            CALL wxios_closedef()
+          !On finalise l'initialisation:
+          CALL wxios_closedef()
 #endif
 
-!$OMP END MASTER
-!$OMP BARRIER
-            vars_defined = .TRUE.
-
-
-        END IF
+          !$OMP END MASTER
+          !$OMP BARRIER
+          vars_defined = .TRUE.
+
+       END IF
 
     END DO
 
     IF(vars_defined) THEN
-! On synchronise les fichiers pour IOIPSL
+       ! On synchronise les fichiers pour IOIPSL
 #ifndef CPP_NO_IOIPSL 
-!$OMP MASTER
-      DO iff=1,nfiles
+       !$OMP MASTER
+       DO iff=1,nfiles
           IF (ok_sync .AND. clef_files(iff)) THEN
-              CALL histsync(nid_files(iff))
-          ENDIF
-      END DO
-!$OMP END MASTER
+             CALL histsync(nid_files(iff))
+          ENDIF
+       END DO
+       !$OMP END MASTER
 #endif
     ENDIF
 
-      
-
-
-    END SUBROUTINE phys_output_write
-
-
-
-  END MODULE phys_output_write_mod
-
+  END SUBROUTINE phys_output_write
+
+END MODULE phys_output_write_mod
